Page MenuHomePhabricator

parsoid roles: convert upstart to systemd
Closed, ResolvedPublic

Event Timeline

Dzahn created this task.Jan 22 2016, 10:18 PM
Dzahn claimed this task.
Dzahn removed Dzahn as the assignee of this task.
Dzahn raised the priority of this task from to Normal.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: gerritbot, GWicke, RobH and 4 others.
Dzahn set Security to None.
Dzahn added a comment.Jan 25 2016, 8:01 PM

These have been merged, so there are systemd files now, but currently we see this:

root@ruthenium:/etc/systemd# service parsoid status
● parsoid.service - parsoid-vd: Testreduce HTTP service for visual-diff results
   Loaded: loaded (/lib/systemd/system/parsoid.service; static)
   Active: inactive (dead)

Jan 25 19:03:18 ruthenium systemd[1]: parsoid.service lacks ExecStart setting. Refusing.
Jan 25 19:03:18 ruthenium systemd[1]: [/lib/systemd/system/parsoid.service:8] Failed to parse resource value, ...g: 10K
Jan 25 19:03:18 ruthenium systemd[1]: [/lib/systemd/system/parsoid.service:12] Executable path is not absolute...ngs.js
Jan 25 19:03:18 ruthenium systemd[1]: parsoid.service lacks ExecStart setting. Refusing.
Dzahn added a comment.Jan 25 2016, 8:19 PM

https://gerrit.wikimedia.org/r/#/c/266303/

the parsoid service runs now

root@ruthenium:/etc/systemd# service parsoid status
● parsoid.service - parsoid-vd: Testreduce HTTP service for visual-diff results
   Loaded: loaded (/lib/systemd/system/parsoid.service; static)
   Active: active (running) since Mon 2016-01-25 20:08:02 UTC; 3s ago
Dzahn closed this task as Resolved.Jan 25 2016, 8:23 PM
Dzahn claimed this task.

parsoid-rt-client is running to:

parsoid-rt-client.service - Testing test client for Parsoid rt-testing
  Loaded: loaded (/lib/systemd/system/parsoid-rt-client.service; static)
  Active: active (running) since Mon 2016-01-25 19:57:59 UTC; 24min ago

parsoid-rt is NOT running, but that's because the mysql db is not there yet.

the systemd conversion looks done

Dzahn reassigned this task from Dzahn to ssastry.Jan 25 2016, 8:23 PM